## rsyslog 1.0.0

=== DESCRIPTION ===
Package: rsyslog
Title: Interface to the 'syslog' System Logger
Version: 1.0.0
Authors@R: c(
  person("Aaron", "Jacobs", role = c("aut", "cre"),
         email = "atheriel@gmail.com"),
  person("Crescendo Technology Ltd.", role = "cph")
  )
Maintainer: Aaron Jacobs <atheriel@gmail.com>
Description: Functions to write messages to the 'syslog' system logger API,
  available on all 'POSIX'-compatible operating systems. Features include
  tagging messages with a priority level and application type, as well as
  masking (hiding) messages below a given priority level.
License: GPL (>= 2)
URL: https://github.com/atheriel/rsyslog
BugReports: https://github.com/atheriel/rsyslog/issues
ByteCompile: true
Encoding: UTF-8
LazyData: true
OS_type: unix
RoxygenNote: 6.0.1
SystemRequirements: POSIX.1-2001
NeedsCompilation: yes
Packaged: 2018-06-25 19:20:39 UTC; rstudio
Author: Aaron Jacobs [aut, cre],
  Crescendo Technology Ltd. [cph]
Repository: CRAN
Date/Publication: 2018-07-02 12:20:03 UTC

## rsyslog 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rsyslog
 Title: Interface to the 'syslog' System Logger
-Version: 1.0.0
+Version: 1.0.1
 Authors@R: c(
   person("Aaron", "Jacobs", role = c("aut", "cre"),
          email = "atheriel@gmail.com"),
@@ -21,8 +21,8 @@
 RoxygenNote: 6.0.1
 SystemRequirements: POSIX.1-2001
 NeedsCompilation: yes
-Packaged: 2018-06-25 19:20:39 UTC; rstudio
+Packaged: 2018-07-03 19:00:45 UTC; rstudio
 Author: Aaron Jacobs [aut, cre],
   Crescendo Technology Ltd. [cph]
 Repository: CRAN
-Date/Publication: 2018-07-02 12:20:03 UTC
+Date/Publication: 2018-07-03 19:30:03 UTC

## rsyslog 1.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rsyslog
 Title: Interface to the 'syslog' System Logger
-Version: 1.0.1
+Version: 1.0.2
 Authors@R: c(
   person("Aaron", "Jacobs", role = c("aut", "cre"),
          email = "atheriel@gmail.com"),
@@ -14,15 +14,13 @@
 License: GPL (>= 2)
 URL: https://github.com/atheriel/rsyslog
 BugReports: https://github.com/atheriel/rsyslog/issues
-ByteCompile: true
 Encoding: UTF-8
-LazyData: true
 OS_type: unix
-RoxygenNote: 6.0.1
+RoxygenNote: 7.1.1
 SystemRequirements: POSIX.1-2001
 NeedsCompilation: yes
-Packaged: 2018-07-03 19:00:45 UTC; rstudio
+Packaged: 2021-06-04 13:11:30 UTC; aaronj
 Author: Aaron Jacobs [aut, cre],
   Crescendo Technology Ltd. [cph]
 Repository: CRAN
-Date/Publication: 2018-07-03 19:30:03 UTC
+Date/Publication: 2021-06-04 14:50:02 UTC

## rsyslog 1.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rsyslog
 Title: Interface to the 'syslog' System Logger
-Version: 1.0.2
+Version: 1.0.3
 Authors@R: c(
   person("Aaron", "Jacobs", role = c("aut", "cre"),
          email = "atheriel@gmail.com"),
@@ -16,11 +16,11 @@
 BugReports: https://github.com/atheriel/rsyslog/issues
 Encoding: UTF-8
 OS_type: unix
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.0
 SystemRequirements: POSIX.1-2001
 NeedsCompilation: yes
-Packaged: 2021-06-04 13:11:30 UTC; aaronj
+Packaged: 2023-05-06 14:46:25 UTC; aaron
 Author: Aaron Jacobs [aut, cre],
   Crescendo Technology Ltd. [cph]
 Repository: CRAN
-Date/Publication: 2021-06-04 14:50:02 UTC
+Date/Publication: 2023-05-08 07:10:02 UTC

## rsyslog 4.6.4

=== debian/changelog ===
rsyslog (4.6.4-2ubuntu4) natty; urgency=low

  * debian/50-default.conf: Disable redundant and non-synchronous log files by
    default (this will only affect new installations), to reduce disk size
    overhead and unnecessary wakeups and IO: daemon.log, lpr.log, user.log,
    mail.{info,warn) (these are already in mail.log and syslog), debug,
    messages.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Jan 2011 15:43:14 -0600

rsyslog (4.6.4-2ubuntu3) natty; urgency=low

  * Instead of removing /etc/default/rsyslog, patch the upstart job to
    parse it as the old init script used to (LP: #570103)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 06 Dec 2010 14:56:18 -0500

rsyslog (4.6.4-2ubuntu2) natty; urgency=low

  * Remove debian/rsyslog.default as the upstart init script doesn't read
    /etc/default/rsyslog (LP: #570103)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 06 Dec 2010 14:47:32 -0500

rsyslog (4.6.4-2ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Run as rsyslog:rsyslog, set $FileOwner to syslog
    - Replace init script with debian/rsyslog.upstart.
    - debian/control: Bump build-dependency on debhelper for Upstart-aware 
      dh_installinit
    - debian/rsyslog.logrotate: Use reload command to restart rsyslog
    - debian/rsyslog.conf: enable $RepeatedMsgReduction 
      to avoid bloating the syslog file (LP #453444)
    - Add debian/rsyslog.dmesg.upstart to save initial dmesg into a file.
      Install it in debian/rules.
    - debian/50-default.conf: set of default rules for syslog (forwarded to
      Debian #603160)

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Dec 2010 14:33:42 +0000

rsyslog (4.6.4-2) unstable; urgency=low

  * debian/patches/02-tls_loop_fix.patch
    - Fix bug in TLS handling which could cause rsyslog to loop in a tight
      loop and eating up all CPU and RAM resources. Closes: #549168
      Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Nov 2010 14:50:15 +0100

rsyslog (4.6.4-1ubuntu2) natty; urgency=low

  * Restore maintainer script code to install
    /etc/rsyslog.d/50-default.conf, and refer to it again from rsyslog.conf.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Nov 2010 18:31:24 +0000

rsyslog (4.6.4-1ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #671533), remaining changes:
    - Run as rsyslog:rsyslog, set $FileOwner to syslog
    - Replace init script with debian/rsyslog.upstart.
    - debian/control: Bump build-dependency on debhelper for Upstart-aware 
      dh_installinit
    - debian/rsyslog.logrotate: Use reload command to restart rsyslog
    - debian/rsyslog.conf: enable $RepeatedMsgReduction 
      to avoid bloating the syslog file (LP #453444)
    - Add debian/rsyslog.dmesg.upstart to save initial dmesg into a file.
      Install it in debian/rules.
    - debian/50-default.conf: set of default rules for syslog (forwarded to
      Debian #603160)
  * Dropped changes:
    - debian/patches/deroot.patch: this patch was introduced to support
      earlier kernels and we don't support running natty on pre-karmic
      kernels
    - sysklogd → rsyslog upgrade was done pre-lucid (LTS) so drop all
      the upgrade handling
    - Restore to reading from /proc/kmsg: rsyslog can read directly from
      /proc/kmsg now; dropped init script changes as they're obsolete
      (even when actually using the init script which we don't, we have
      the upstart script)

 -- Lorenzo De Liso <blackz@ubuntu.com>  Fri, 05 Nov 2010 15:52:21 +0100

rsyslog (4.6.4-1) unstable; urgency=low

  * New upstream release.
    - bugfix: programname filter in ! configuration can not be reset.
      Thanks to Kiss Gabor for the patch. Closes: #540807
  * Bump Standards-Version to 3.9.1. No further changes.

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Aug 2010 18:35:37 +0200

rsyslog (4.6.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/02-set-correct-default-for-buffered-writing.patch
    - Removed, merged upstream.
  * Switch to source format 3.0 (quilt).
    - Add debian/source/format.
    - Drop Build-Depends on quilt.
    - Remove debian/README.source.
    - Remove /usr/share/quilt/quilt.make include from debian/rules.
  * Switch to dh v7.
    - Bump Build-Depends on debhelper to (>= 7.0.50).
    - Bump Build-Depends on autotools-dev to (>= 20100122.1) for the
      autotools_dev dh addon.
    - Convert debian/rules to dh.
  * Bump Standards-Version to 3.9.0. Use Breaks instead of Conflicts as
    recommended by the new policy.

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Jul 2010 19:07:03 +0200

rsyslog (4.6.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/02-set-correct-default-for-buffered-writing.patch
    - The default for $OMFileFlushOnTXEnd was wrong ("off"). Patch pulled from
      upstream Git.

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Apr 2010 16:42:56 +0200

rsyslog (4.6.1-1) unstable; urgency=low

  * New upstream release.
    - Fix error in rsyslog.conf(5) man page. The configuration variable
      $InputUDPServerRun does not exist, it should be $UDPServerRun instead.
      Thanks to Alexander Gerasiov for spotting this. Closes: #571202
  * debian/rsyslog-doc.install
    - Install png image files.
  * debian/patches/doc_typo_fix.patch
    - Removed, merged upstream.
  * debian/patches/no_create_db.patch
    - Refresh to apply cleanly.
  * debian/control
    - Bump Standards-Version to 3.8.4. No further changes.
  * debian/rsyslog.install
    - Install new lmstrmsrv.so and lmzlibw.so plugins.
  * debian/rsyslog.lintian-overrides
    - Add lintian override for init.d-script-missing-dependency-on-remote_fs
      false positive. See also the corresponding lintian bug: #571280.
  * debian/rules
    - Add call to dh_lintian.
  * debian/rsyslog.init
    - GNU/kFreeBSD does not allow to create pipes in /dev. So for xconsole


=== debian/control ===
Source: rsyslog
Section: admin
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 7.3.15ubuntu2), autotools-dev (>= 20100122.1), zlib1g-dev, libmysqlclient-dev, libpq-dev, libkrb5-dev, libgnutls-dev, librelp-dev, pkg-config
Standards-Version: 3.9.1
XSBC-Original-Vcs-Git: git://git.debian.org/git/collab-maint/rsyslog.git
XSBC-Original-Vcs-Browser: http://git.debian.org/?p=collab-maint/rsyslog.git;a=summary
Homepage: http://www.rsyslog.com/

Package: rsyslog
Architecture: any
Priority: important
Conflicts: system-log-daemon, linux-kernel-log-daemon
Provides: system-log-daemon, linux-kernel-log-daemon
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser, ucf (>= 0.8)
Recommends: logrotate
Suggests: rsyslog-mysql | rsyslog-pgsql, rsyslog-doc, rsyslog-gnutls, rsyslog-gssapi, rsyslog-relp
Description: enhanced multi-threaded syslogd
 Rsyslog is an enhanced syslogd supporting, amongst others:
  * reliable syslog over TCP and SSL/TLS
  * on-demand disk buffering
  * email alerting
  * writing to MySQL or PostgreSQL databases (via separate output plugins)
  * permitted sender lists
  * filtering on any part of the syslog message
  * on-the-wire message compression
  * fine grained output format control
  * backup log destinations
 .
 It is quite compatible to stock sysklogd and can be used as a drop-in
 replacement. Its advanced features make it suitable for enterprise-class,
 encryption protected syslog relay chains while at the same time being very
 easy to setup for the novice user.

Package: rsyslog-doc
Section: doc
Priority: extra
Architecture: all
Breaks: rsyslog (<< 2.0.1-2)
Replaces: rsyslog (<< 2.0.1-2)
Depends: ${misc:Depends}
Suggests: doc-base, www-browser
Description: documentation for rsyslog
 This package contains detailed HTML documentation of rsyslog.
 .
 It describes the general configuration file syntax, like filters, actions and
 templates and has detailed information for all available configuration 
 directives.

Package: rsyslog-mysql
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, rsyslog (= ${binary:Version}), dbconfig-common, ucf
Recommends: mysql-client
Suggests: mysql-server
Description: MySQL output plugin for rsyslog
 This plugin allows rsyslog to write the syslog messages into a MySQL database.

Package: rsyslog-pgsql
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, rsyslog (= ${binary:Version}), dbconfig-common, ucf
Recommends: postgresql-client
Suggests: postgresql
Description: PostgreSQL output plugin for rsyslog
 This plugin allows rsyslog to write the syslog messages into a PostgreSQL 
 database.

Package: rsyslog-gssapi
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, rsyslog (= ${binary:Version})
Suggests: krb5-user
Description: GSSAPI authentication and encryption support for rsyslog
 These plugins allow rsyslog to write and/or receive GSSAPI authenticated and
 encrypted syslog messages. GSSAPI is commonly used for Kerberos
 authentication.

Package: rsyslog-gnutls
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, rsyslog (= ${binary:Version})
Suggests: gnutls-bin
Description: TLS protocol support for rsyslog
 This netstream plugin allows rsyslog to send and receive encrypted syslog
 messages via the upcoming syslog-transport-tls IETF standard protocol.

Package: rsyslog-relp
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, rsyslog (= ${binary:Version})
Description: RELP protocol support for rsyslog
 These plugins allows rsyslog to send and receive syslog messages via the
 RELP protocol. RELP ensures the reliable transport over the network even on
 connection loss or if a peer becomes unavailable.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-mysql \
		--enable-pgsql \
		--enable-mail \
		--enable-imfile \
		--enable-gssapi-krb5 \
		--enable-gnutls \
		--enable-relp \
		--disable-testbench

override_dh_auto_install:
	dh_auto_install
	install --mode=644 -D plugins/ommysql/createDB.sql debian/rsyslog-mysql/usr/share/dbconfig-common/data/rsyslog-mysql/install/mysql
	install --mode=644 -D plugins/ompgsql/createDB.sql debian/rsyslog-pgsql/usr/share/dbconfig-common/data/rsyslog-pgsql/install/pgsql

override_dh_compress:
	dh_compress -X rsyslog-example.conf

override_dh_installinit:
	dh_installinit -R -- start 10 2 3 4 5 . start 30 0 6 . stop 90 1 .
	dh_installinit --upstart-only --name=dmesg --no-start

## rsyslog 5.8.1

=== debian/changelog ===
rsyslog (5.8.1-1ubuntu2) oneiric; urgency=low

  * debian/patches/02-CVE-2011-3200.patch: fix denial of service via off by
    two
    - CVE-2011-3200

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 03 Oct 2011 12:13:42 -0500

rsyslog (5.8.1-1ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian (LP: #794230).  Remaining changes:
    - Run as rsyslog:rsyslog, set $FileOwner to syslog
    - Replace init script with debian/rsyslog.upstart.
    - debian/rsyslog.logrotate: Use reload command to restart rsyslog
    - debian/rsyslog.conf: enable $RepeatedMsgReduction 
      to avoid bloating the syslog file (LP #453444)
    - Add debian/rsyslog.dmesg.upstart to save initial dmesg into a file.
      Install it in debian/rules.
    - debian/50-default.conf: set of default rules for syslog (forwarded to
      Debian #603160). remove file in postrm on purge. manage with ucf.
    - debian/rules: build with LDFLAGS=""
  * Dropped:
    - debian/control: Bump build-dependency on debhelper
      debian now depends on dh >= 8

 -- Scott Moser <smoser@ubuntu.com>  Thu, 02 Jun 2011 15:17:32 -0400

rsyslog (5.8.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2. No further changes.
  * Enable and install impstats module. (Closes: #620114)
  * Update logcheck rule. (Closes: #616659)
  * debian/rsyslog.init: Set correct compat level (5).
  * The way rsyslog processes SIGHUP has changed. It no longer does a reload
    of its configuration, but simply closes all open files. To apply a changed
    configuration, rsyslogd needs to be restarted now.
    - Drop "reload" action from debian/rsyslog.init, map "force-reload" to
      "restart". (Closes: #580897)
    - Add "rotate" action to debian/rsyslog.init which sends SIGHUP to
      rsyslogd. Use that in debian/rsyslog.logrotate. (Closes: #626365)
    - Update debian/rsyslog-mysql.postinst and rsyslog-pgsql.postinst to use
      restart instead of reload.
    - Add a NEWS file explaining the changed SIGHUP handling.

 -- Michael Biebl <biebl@debian.org>  Mon, 30 May 2011 18:40:12 +0200

rsyslog (5.8.0-1) unstable; urgency=low

  * New upstream stable release.

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Apr 2011 14:34:57 +0200

rsyslog (5.7.10-1) unstable; urgency=low

  * New upstream release.
    - Properly handle ANSI SQL strings in ompgsql. (Closes: #600479)

 -- Michael Biebl <biebl@debian.org>  Tue, 29 Mar 2011 18:41:28 +0200

rsyslog (5.7.9-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/02-pmaixforwardedfrom_type_nokeep.patch
    - Remove, merged upstream.
  * debian/patches/03-epoll_create1-fallback.patch
    - Remove, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Sat, 26 Mar 2011 19:31:28 +0100

rsyslog (5.7.8-2) unstable; urgency=low

  * debian/patches/03-epoll_create1-fallback.patch
    - If epoll_create1() is not available during runtime, fall back to
      epoll_create(). This fixes remote syslog when runnig rsyslog on a
      lenny kernel. (Closes: #617996)

 -- Michael Biebl <biebl@debian.org>  Mon, 14 Mar 2011 12:13:14 +0100

rsyslog (5.7.8-1) unstable; urgency=low

  * New upstream release.
  * debian/rsyslog.links
    - Create symlink for rsyslog.service in multi-user.target.wants so rsyslog
      is enabled by default when using systemd.
  * debian/patches/02-pmaixforwardedfrom_type_nokeep.patch
    - Fix build failure in aixforwardedfrom parser module by setting the
      module type to NOKEEP.
  * debian/rsyslog.preinst
    - Remove old rsyslog.socket symlink from sockets.target.wants on upgrades
      as rsyslog uses syslog.socket now which is provided by systemd.
  * debian/rsyslog.install
    - Stop installing rsyslog.socket.

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Mar 2011 08:50:29 +0100

rsyslog (5.7.6-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Feb 2011 17:14:46 +0100

rsyslog (5.7.5-1) unstable; urgency=low

  * New upstream release.
    - Fix regression in imuxsock plugin which did no longer sanitize received
      messages. This makes 02-cleanup-trailing-lf.patch obsolete and also
      fixes the SQL syntax errors in the mysql output if the input contained
      NUL bytes. Closes: #614061
  * Enable and install omprog output plugin. Closes: #552095
  * Improve package description. Closes: #612948
    Thanks to Justin B Rye for the patch.

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Feb 2011 12:03:06 +0100

rsyslog (5.7.4-2) unstable; urgency=low

  * debian/patches/02-cleanup-trailing-lf.patch
    - Fix regression in imuxsock plugin which did not remove a trailing LF
      anymore. Patch cherry-picked from upstream Git. Closes: #612829

 -- Michael Biebl <biebl@debian.org>  Mon, 21 Feb 2011 12:04:13 +0100

rsyslog (5.7.4-1) unstable; urgency=low

  * New upstream release.
  * Enable and install parser modules.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Feb 2011 00:45:43 +0100

rsyslog (5.7.3-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * debian/patches/02-typo_fix_equation_sign.patch
    - Removed, merged upstream.
  * debian/patches/03-atomic_operations.patch
    - Removed, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Wed, 09 Feb 2011 06:10:46 +0100

rsyslog (5.7.2-2) experimental; urgency=low

  * debian/patches/03-atomic_operations.patch
    - Fix build failures on platforms which don't have 64 bit atomic
      operations. Patch cherry-picked from upstream Git. Closes: #600930

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Dec 2010 21:20:28 +0100

rsyslog (5.7.2-1) experimental; urgency=low

  * New upstream development release.
  * Remove patches, merged upstream
    - debian/patches/02-install_also_rsyslog_socket.patch
    - debian/patches/02-tls_loop_fix.patch
  * debian/patches/02-typo_fix_equation_sign.patch
    - Fix small typo ("equation sign"). Closes: #575589
  * debian/rsyslog.postinst


=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: important
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 7.3.15ubuntu2), autotools-dev (>= 20100122.1), zlib1g-dev, libmysqlclient-dev, libpq-dev, libkrb5-dev, libgnutls-dev, librelp-dev, pkg-config
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8), autotools-dev (>= 20100122.1), zlib1g-dev, libmysqlclient-dev, libpq-dev, libkrb5-dev, libgnutls-dev, librelp-dev, pkg-config
+Standards-Version: 3.9.2
 XSBC-Original-Vcs-Git: git://git.debian.org/git/collab-maint/rsyslog.git
 XSBC-Original-Vcs-Browser: http://git.debian.org/?p=collab-maint/rsyslog.git;a=summary
 Homepage: http://www.rsyslog.com/
@@ -17,22 +17,21 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser, ucf (>= 0.8)
 Recommends: logrotate
 Suggests: rsyslog-mysql | rsyslog-pgsql, rsyslog-doc, rsyslog-gnutls, rsyslog-gssapi, rsyslog-relp
-Description: enhanced multi-threaded syslogd
- Rsyslog is an enhanced syslogd supporting, amongst others:
-  * reliable syslog over TCP and SSL/TLS
+Description: reliable system and kernel logging daemon
+ Rsyslog is a multi-threaded implementation of syslogd (a system utility
+ providing support for message logging), with features that include:
+  * reliable syslog over TCP, SSL/TLS and RELP
   * on-demand disk buffering
   * email alerting
   * writing to MySQL or PostgreSQL databases (via separate output plugins)
   * permitted sender lists
   * filtering on any part of the syslog message
   * on-the-wire message compression
-  * fine grained output format control
-  * backup log destinations
+  * fine-grained output format control
+  * failover to backup destinations
+  * enterprise-class encrypted syslog relaying
  .
- It is quite compatible to stock sysklogd and can be used as a drop-in
- replacement. Its advanced features make it suitable for enterprise-class,
- encryption protected syslog relay chains while at the same time being very
- easy to setup for the novice user.
+ It is the default syslogd on Debian systems.
 
 Package: rsyslog-doc
 Section: doc
@@ -43,10 +42,10 @@
 Depends: ${misc:Depends}
 Suggests: doc-base, www-browser
 Description: documentation for rsyslog
- This package contains detailed HTML documentation of rsyslog.
+ This package contains detailed HTML documentation for rsyslog.
  .
- It describes the general configuration file syntax, like filters, actions and
- templates and has detailed information for all available configuration 
+ It describes the general configuration file syntax for filters, actions,
+ templates, etc, and has detailed information for all available configuration
  directives.
 
 Package: rsyslog-mysql
@@ -65,7 +64,7 @@
 Recommends: postgresql-client
 Suggests: postgresql
 Description: PostgreSQL output plugin for rsyslog
- This plugin allows rsyslog to write the syslog messages into a PostgreSQL 
+ This plugin allows rsyslog to write the syslog messages into a PostgreSQL
  database.
 
 Package: rsyslog-gssapi
@@ -93,5 +92,5 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, rsyslog (= ${binary:Version})
 Description: RELP protocol support for rsyslog
  These plugins allows rsyslog to send and receive syslog messages via the
- RELP protocol. RELP ensures the reliable transport over the network even on
+ RELP protocol. RELP ensures reliable transport over the network even on
  connection loss or if a peer becomes unavailable.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+# the default LDFLAGS="-Wl,-Bsymbolic-functions" caused rsyslog to
+# segfault on receipt of first message (see LP: #794230)
+unexport LDFLAGS
 
 %:
 	dh $@ --with autotools_dev
@@ -9,10 +13,18 @@
 		--enable-pgsql \
 		--enable-mail \
 		--enable-imfile \
+		--enable-impstats \
 		--enable-gssapi-krb5 \
 		--enable-gnutls \
 		--enable-relp \
-		--disable-testbench
+		--enable-pmaixforwardedfrom \
+		--enable-pmcisconames \
+		--enable-pmlastmsg \
+		--enable-pmrfc3164sd \
+		--enable-pmsnare \
+		--enable-omprog \
+		--disable-testbench \
+		--with-systemdsystemunitdir=/lib/systemd/system
 
 override_dh_auto_install:
 	dh_auto_install

## rsyslog 5.8.6

=== debian/changelog ===
rsyslog (5.8.6-1ubuntu9.3) quantal; urgency=low

  * debian/patches/203-bugfix-segfault-on-startup-if-actionqueuefilename-wa.patch:
    upstream fix for segfault when spool is corrupted. (LP: #1233441)

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Fri, 22 Nov 2013 11:47:09 -0600

rsyslog (5.8.6-1ubuntu9.2) quantal-proposed; urgency=low

  [ Pierre Carrier ]
  * debian/patches/02-fix_startup_deadlock.patch: 
    - Fixes deadlock during startup (LP: #1169740)

 -- Adam Stokes <adam.stokes@ubuntu.com>  Wed, 17 Apr 2013 09:41:26 -0400

rsyslog (5.8.6-1ubuntu9.1) quantal-proposed; urgency=low

  * debian/patches/101-fix-rfc5424-instabilities.patch:
    - bugfix: instabilities when using RFC5424 header fields (LP: #1059592)

 -- Chris J Arges <chris.j.arges@canonical.com>  Wed, 21 Nov 2012 10:53:54 -0600

rsyslog (5.8.6-1ubuntu9) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Oct 2012 16:49:57 +0100

rsyslog (5.8.6-1ubuntu8) precise; urgency=low

  * debian/rsyslog.postrm: fixed typo "dissappear" to "disappear" (LP: #846818)

 -- Aditya Vaidya <kroq.gar78@gmail.com>  Fri, 23 Mar 2012 19:31:37 -0500

rsyslog (5.8.6-1ubuntu7) precise; urgency=low

  * debian/rsyslog.conf: set $WorkDirectory to /var/spool/rsyslog, which is
    the example location in documentation. When not configured it defaults to
    '/', which is undesirable. (LP: #918947, Closes: #656535)
  * debian/rsyslog.dirs: add /var/spool/rsyslog/
  * debian/usr.sbin.rsyslogd:
    - adjust for $WorkDirectory
    - allow 'r' on /var/log/** too (for imfile)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 07 Mar 2012 08:26:54 -0600

rsyslog (5.8.6-1ubuntu6) precise; urgency=low

  * debian/control: Build-Depends on dh-apparmor (LP: #948120)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 06 Mar 2012 09:47:22 -0600

rsyslog (5.8.6-1ubuntu5) precise; urgency=low

  * Add disabled by default AppArmor profile (LP: #914820)
    - debian/rsyslog.upstart: add pre-start stanza to load profile
    - add debian/usr.sbin.rsyslogd profile
    - debian/rules: use dh_apparmor to install profile before rsyslog is
      restarted
    - debian/control: suggests apparmor (>= 2.3)
    - debian/rsyslog.install: install profile to /etc/apparmor.d
    - debian/rsyslog.dirs: install /etc/apparmor.d/force-complain,
      and /etc/apparmor.d/disable
    - debian/rsyslog.preinst: disable profile on clean install or upgrades
      from earlier than when we shipped the profile

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 11 Jan 2012 17:10:41 +0100

rsyslog (5.8.6-1ubuntu4) precise; urgency=low

  * debian/patches/100-imuxsock-allow-missing-date.patch
    fix bug in imuxsock that truncated messages if they did not
    contain a date field (LP: #905419).

 -- Scott Moser <smoser@ubuntu.com>  Tue, 20 Dec 2011 11:55:11 -0500

rsyslog (5.8.6-1ubuntu3) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 17:39:39 -0700

rsyslog (5.8.6-1ubuntu2) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Thu, 24 Nov 2011 00:23:23 -0800

rsyslog (5.8.6-1ubuntu1) precise; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Run as rsyslog:rsyslog, set $FileOwner to syslog
    - Replace init script with debian/rsyslog.upstart.
    - debian/rsyslog.logrotate: Use reload command to restart rsyslog
    - debian/rsyslog.conf: enable $RepeatedMsgReduction 
      to avoid bloating the syslog file (LP #453444)
    - Add debian/rsyslog.dmesg.upstart to save initial dmesg into a file.
      Install it in debian/rules.
    - debian/50-default.conf: set of default rules for syslog (forwarded to
      Debian #603160). remove file in postrm on purge. manage with ucf.
    - debian/rules: build with LDFLAGS=""
  * Dropped:
    - debian/patches/02-CVE-2011-3200.patch (fixed in upstream release)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 07 Nov 2011 13:54:56 -0500

rsyslog (5.8.6-1) unstable; urgency=low

  * New upstream release.
    - Fix regression in imuxsock to ignore message-provided timestamp by
      default which broke high precision timestamps. (Closes: #638147)
  * debian/control:
    - Wrap (build-)dependencies.
  * Enable default hardening options from dpkg-buildflags. (Closes: #644303)
    - Use buildflags.mk snippet in debian/rules.
    - Add Build-Depends on dpkg-dev (>= 1.6.1).

 -- Michael Biebl <biebl@debian.org>  Wed, 02 Nov 2011 23:31:41 +0100

rsyslog (5.8.5-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Sep 2011 23:29:45 +0200

rsyslog (5.8.4-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Aug 2011 23:58:11 +0200

rsyslog (5.8.3-1) unstable; urgency=low

  * New upstream release.
  * debian/rsyslog.conf: Use new ":omusrmsg:*" syntax (write to all) for
    *.emerg messages in preparation for future config format changes.

 -- Michael Biebl <biebl@debian.org>  Mon, 11 Jul 2011 12:33:27 +0200

rsyslog (5.8.2-2) unstable; urgency=low

  * Transition to /run/sendsigs.omit.d. (Closes: #633036)
    - Use /run/sendsigs.omit.d/rsyslog in debian/rsyslog.init.
    - Add Depends on initscripts (>= 2.88dsf-13.3) to ensure /run is usable.
    - Remove /lib/init/rw/sendsigs.omit.d/rsyslog on upgrades.

 -- Michael Biebl <biebl@debian.org>  Fri, 08 Jul 2011 01:36:20 +0200

rsyslog (5.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 21 Jun 2011 16:26:54 +0200

=== debian/control ===
Source: rsyslog
Section: admin
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 8),
               dpkg-dev (>= 1.6.1),
               autotools-dev (>= 20100122.1),
               zlib1g-dev,
               libmysqlclient-dev,
               libpq-dev,
               libkrb5-dev,
               libgnutls-dev,
               librelp-dev,
               pkg-config,
               dh-apparmor
Standards-Version: 3.9.2
XSBC-Original-Vcs-Git: git://git.debian.org/git/collab-maint/rsyslog.git
XSBC-Original-Vcs-Browser: http://git.debian.org/?p=collab-maint/rsyslog.git;a=summary
Homepage: http://www.rsyslog.com/

Package: rsyslog
Architecture: any
Priority: important
Conflicts: system-log-daemon,
           linux-kernel-log-daemon
Provides: system-log-daemon,
          linux-kernel-log-daemon
Depends: ${shlibs:Depends},
         ${misc:Depends},
         lsb-base (>= 3.2-14),
         initscripts (>= 2.88dsf-13.3),
         adduser,
         ucf
Recommends: logrotate
Suggests: rsyslog-mysql | rsyslog-pgsql,
          rsyslog-doc,
          rsyslog-gnutls,
          rsyslog-gssapi,
          rsyslog-relp,
          apparmor (>= 2.3)
Description: reliable system and kernel logging daemon
 Rsyslog is a multi-threaded implementation of syslogd (a system utility
 providing support for message logging), with features that include:
  * reliable syslog over TCP, SSL/TLS and RELP
  * on-demand disk buffering
  * email alerting
  * writing to MySQL or PostgreSQL databases (via separate output plugins)
  * permitted sender lists
  * filtering on any part of the syslog message
  * on-the-wire message compression
  * fine-grained output format control
  * failover to backup destinations
  * enterprise-class encrypted syslog relaying
 .
 It is the default syslogd on Debian systems.

Package: rsyslog-doc
Section: doc
Priority: extra
Architecture: all
Breaks: rsyslog (<< 2.0.1-2)
Replaces: rsyslog (<< 2.0.1-2)
Depends: ${misc:Depends}
Suggests: doc-base,
          www-browser
Description: documentation for rsyslog
 This package contains detailed HTML documentation for rsyslog.
 .
 It describes the general configuration file syntax for filters, actions,
 templates, etc, and has detailed information for all available configuration
 directives.

Package: rsyslog-mysql
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
         dbconfig-common,
         ucf
Recommends: mysql-client
Suggests: mysql-server
Description: MySQL output plugin for rsyslog
 This plugin allows rsyslog to write the syslog messages into a MySQL database.

Package: rsyslog-pgsql
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
         dbconfig-common,
         ucf
Recommends: postgresql-client
Suggests: postgresql
Description: PostgreSQL output plugin for rsyslog
 This plugin allows rsyslog to write the syslog messages into a PostgreSQL
 database.

Package: rsyslog-gssapi
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Suggests: krb5-user
Description: GSSAPI authentication and encryption support for rsyslog
 These plugins allow rsyslog to write and/or receive GSSAPI authenticated and
 encrypted syslog messages. GSSAPI is commonly used for Kerberos
 authentication.

Package: rsyslog-gnutls
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Suggests: gnutls-bin
Description: TLS protocol support for rsyslog
 This netstream plugin allows rsyslog to send and receive encrypted syslog
 messages via the upcoming syslog-transport-tls IETF standard protocol.

Package: rsyslog-relp
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Description: RELP protocol support for rsyslog
 These plugins allows rsyslog to send and receive syslog messages via the
 RELP protocol. RELP ensures reliable transport over the network even on
 connection loss or if a peer becomes unavailable.

=== debian/watch ===
version=3
http://download.rsyslog.com/rsyslog/rsyslog-([\d]+\.[\d]*[02468]\.[\d]+)\.tar\.gz

## rsyslog 5.8.9

=== debian/changelog ===
rsyslog (5.8.9-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Mar 2012 13:38:35 +0100

rsyslog (5.8.8-1) unstable; urgency=low

  * New upstream release.
    - Fix imuxsock to not truncate parts of the received message if it
      did not contain a proper date. (Closes: #654429)
    - Fix imuxsock example in rsyslog.conf(5) man page. (Closes: #655846)
  * Fix versioned Build-Depends on dpkg-dev. The buildflags.mk snippet was
    added in version 1.16.1, not 1.6.1. (Closes: #654894)
  * Update watch file. Check download page for stable releases.
  * Strip debian/tmp/ from .install files.
  * Install tmpfiles.d snippet to create /dev/xconsole when running under
    systemd. (Closes: #634978)
  * debian/patches/02-path_max.patch
    - Don't rely on PATH_MAX being defined. Patch cherry-picked from upstream
      Git. (Closes: #651529)
  * debian/rsyslog.init
    - Use --exec instead of --name for start-stop-daemon. This is more
      reliable and works better on GNU/Hurd. (Closes: #652575)
    - Use /run/xconsole and a symlink /dev/xconsole on non-Linux systems.
  * debian/rsyslog.default
    - Update comments regarding available command line switches. Remove
      deprecated options.
  * debian/rsyslog.links
    - Install syslog.service alias so rsyslog is properly socket activated
      with newer versions of systemd.
  * debian/copyright
    - Use maschine-readable copyright format 1.0.
    - Most parts of rsyslog have been relicensed under Apache license 2.0.
  * Bump Standards-Version to 3.9.3.
  * debian/rsyslog.conf
    - Set $WorkDirectory to /var/spool/rsyslog, which is used for spool and
      state files. When not configured it defaults to '/', which is
      undesirable. (LP: #918947, Closes: #656535)
  * debian/rsyslog.dirs
    - Add /var/spool/rsyslog/.

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Mar 2012 00:42:56 +0100

## rsyslog 5.8.11

=== debian/changelog ===
rsyslog (5.8.11-1~bpo60+2) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Remove the dependency on versioned initscripts. (Closes: #679348)

 -- Aron Xu <aron@debian.org>  Thu, 28 Jun 2012 07:07:14 +0000

rsyslog (5.8.11-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * debian/rules:
    - Do not insist on the inclusion of buildflags.mk, which is initially
      shipped since dpkg 1.16.1.
  * debian/rsyslog.init debian/rsyslog.postinst debian/rsyslog.postrm:
    - Revert /run transition, use /lib/init/rw and /var/run.
  * debian/control:
    - Remove B-D on dpkg-dev (>= 1.16.1).

 -- Aron Xu <aron@debian.org>  Tue, 26 Jun 2012 16:38:00 +0000

rsyslog (5.8.11-1) unstable; urgency=low

  * New upstream release.
  * Enable and install omuxsock and omstdout module.

 -- Michael Biebl <biebl@debian.org>  Fri, 04 May 2012 22:38:00 +0200

rsyslog (5.8.10-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Apr 2012 18:46:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: rsyslog
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
+Maintainer: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8),
-               dpkg-dev (>= 1.6.1),
                autotools-dev (>= 20100122.1),
                zlib1g-dev,
                libmysqlclient-dev,
@@ -12,11 +10,10 @@
                libkrb5-dev,
                libgnutls-dev,
                librelp-dev,
-               pkg-config,
-               dh-apparmor
-Standards-Version: 3.9.2
-XSBC-Original-Vcs-Git: git://git.debian.org/git/collab-maint/rsyslog.git
-XSBC-Original-Vcs-Browser: http://git.debian.org/?p=collab-maint/rsyslog.git;a=summary
+               pkg-config
+Standards-Version: 3.9.3
+Vcs-Git: git://git.debian.org/git/collab-maint/rsyslog.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/rsyslog.git;a=summary
 Homepage: http://www.rsyslog.com/
 
 Package: rsyslog
@@ -29,16 +26,12 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          lsb-base (>= 3.2-14),
-         initscripts (>= 2.88dsf-13.3),
-         adduser,
-         ucf
 Recommends: logrotate
 Suggests: rsyslog-mysql | rsyslog-pgsql,
           rsyslog-doc,
           rsyslog-gnutls,
           rsyslog-gssapi,
-          rsyslog-relp,
-          apparmor (>= 2.3)
+          rsyslog-relp
 Description: reliable system and kernel logging daemon
  Rsyslog is a multi-threaded implementation of syslogd (a system utility
  providing support for message logging), with features that include:

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
 
-# the default LDFLAGS="-Wl,-Bsymbolic-functions" caused rsyslog to
-# segfault on receipt of first message (see LP: #794230)
-unexport LDFLAGS
+DPKG_EXPORT_BUILDFLAGS = 1
+-include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@ --with autotools_dev
@@ -23,6 +22,8 @@
 		--enable-pmrfc3164sd \
 		--enable-pmsnare \
 		--enable-omprog \
+		--enable-omstdout \
+		--enable-omuxsock \
 		--disable-testbench \
 		--with-systemdsystemunitdir=/lib/systemd/system
 
@@ -36,4 +37,3 @@
 
 override_dh_installinit:
 	dh_installinit -R -- start 10 2 3 4 5 . start 30 0 6 . stop 90 1 .
-	dh_installinit --upstart-only --name=dmesg --no-start

=== debian/watch ===
version=3
http://rsyslog.com/download/stable-download/ .*rsyslog-(.*)\.tar\.gz
